Limerence
Spaces

List Active Space Skills

Get visible skills enabled for a Space in a specific run context

GET
/spaces/{id}/skills

Get visible skills enabled for a Space in a specific run context

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Query Parameters

context*string
Default"work"

Value in

  • "build"
  • "work"
  • "dashboard"
  • "report"
  • "slack"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces/string/skills?context=build"
{  "skills": [    {      "context": "string",      "description": "string",      "id": "string",      "name": "string",      "tips": [        {          "cooldown": "frequent",          "text": "string",          "visibility": "always"        }      ],      "triggers": [        "string"      ],      "userInvokable": true,      "visibility": "always"    }  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}